/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.transaction;

/**
 * TransactionUtils
 * 
 * @author leesangboo
 * 
 */
public class TransactionUtils {

	public static int getTransactionType(String transactionType) {
		int intTransactionType = 0;
		if (transactionType.equals("JDBC")) {
			intTransactionType = 1;
		} else if (transactionType.equals("JTA")) {
			intTransactionType = 2;
		} else if (transactionType.equals("NONE")) {
			intTransactionType = 3;
		}
		return intTransactionType;
	}

	public static String getTransactionType(int transactionType) {
		String stringTransactionType = "UNDEFINE";
		if (transactionType == 1) {
			stringTransactionType = ("JDBC");
		} else if (transactionType == 2) {
			stringTransactionType = ("JTA");
		} else if (transactionType == 3) {
			stringTransactionType = ("NONE");
		}
		return stringTransactionType;
	}

}
