package com.company.example.web.introduction;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.annotation.Action;
import org.jdesigner.platform.web.annotation.Forward;
import org.jdesigner.platform.web.annotation.View;
import org.jdesigner.platform.web.annotation.Web;

import com.company.example.web.BaseActionBean;

@Web(namespace = "introudction_index_bean")
public class IndexBean extends BaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(IndexBean.class);

	public IndexBean() {
		init();//
	}

	private void init() {
		//
		log.info("ActionBean[" + this.getClass() + "] initialize...");
	}

	@Action(path = "/introduction/index")
	@Forward(name = View.SUCCESS, layout = ".main.layout", content = "/introduction/index.jsp")
	public String index() throws Exception {
		return View.SUCCESS;
	}

}
