/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.service.impl;

import org.jdesigner.application.template.service.CommonServiceException;
import org.jdesigner.application.template.service.FTPService;
import org.jdesigner.application.template.service.provider.CommonsFTPClientImpl;
import org.jdesigner.application.template.service.provider.FTP;

/**
 * FTPServiceImpl
 * 
 * @author SangBoo Lee
 * @date 2009. 11. 16.
 * @since 1.0
 * 
 */
public class FTPServiceImpl implements FTPService {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.application.template.service.FTPService#getInstance()
	 */
	public FTP getInstance() throws CommonServiceException {
		return new CommonsFTPClientImpl();
	}

}
