/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.web.locale;

import java.util.Locale;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * SessionLocaleHandler
 * 
 * @author leesangboo
 * 
 */
public class SessionLocaleHandler extends BaseLocaleHandler implements LocaleHandler {

	private static final Log log = LogFactory.getLog(SessionLocaleHandler.class);

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.web.locale.BaseLocaleHandler#setTechLocale(javax .servlet.http.HttpServletRequest,
	 * javax.servlet.http.HttpServletResponse, java.util.Locale)
	 */
	public void setTechLocale(HttpServletRequest request, HttpServletResponse response, Locale inLocale) {
		log.info("Locale set in http session : locale=[" + inLocale.toString() + "]");
	}

	public Locale getTechLocale(HttpServletRequest request, HttpServletResponse response) throws Exception {
		return null;
	}

}